import java.util.*;

/** Cette classe propose une implementation d'un chemin entre sommets lies
 * par des arcs orientes values.
 * Il s'agit en fait d'une Liste d'ArcOrientesValues passant par des sommets successifs.
 */
public class CheminValue extends Chemin {
	public CheminValue()
	{
		super();
	}

	/** ajoute un ArcOriente au chemin.
	 * Si le Sommet de depart de l'arc a ajouter n'est
	 * pas egal au Sommet d'arrivee du dernier arc du chemin
	 * une exception est levee.
	 */
	public void add(ArcOrienteValue arc) {
		super.add((ArcOriente)arc);
	}

	public boolean add(Object o) {
		throw new IllegalArgumentException ("Dans un chemin, on ajoute des arcs orientes");
	}

	/** Renvoie la somme des Poids des aretes du Chemin
	 */
        public double sommePoids () {

                if (isEmpty()) {
                        throw new IllegalArgumentException ("Chemin vide !");
                }

                double somme = 0.0;
		ArcOrienteValue unArc;

                Iterator iter = this.iterator();
                while (iter.hasNext()) {
                	unArc = (ArcOrienteValue)  iter.next();
			somme+= unArc.getPoids();
		}

                return somme;
        }

	/** Renvoie le minimum des Poids des aretes du Chemin
	 */
        public double minPoids () {
                if (isEmpty()) {
                        throw new IllegalArgumentException ("Chemin vide !");
                }

		ArcOrienteValue unArc;
                double min = 0.0;

                Iterator iter = this.iterator();
                unArc = (ArcOrienteValue)  iter.next();
		min = unArc.getPoids();

                while (iter.hasNext()) {
                	unArc = (ArcOrienteValue)  iter.next();
			if (unArc.getPoids() < min)
				min = unArc.getPoids();
		}

                return min;
        }

}

