/**
 *  Cette classe correspond aux objets de type sommet dans les graphes.
 * Elle sert a encapsuler l'information que l'on veut stocker dans le graphe
 * dans une structure pratique pour nos graphes...
 * Elle ne propose que deux methodes : l'une construit le sommet
 * l'autre permet de recuperer l'objet contenu dans le sommet.
 *
 *  @see GrapheOriente
 *
 * */

public class Sommet {
	private Object contenu;  	// le veritable contenu du sommet

	/** Le constructeur de Sommets. 
	 * @param o : l'objet que l'on veut stocker dans le graphe.
	 */
	public Sommet(Object o)
	{
		contenu = o;
	}

	/** Renvoie l'objet stocke dans  le sommet.
	 * @return  l'object contenu dans le sommet.
	 */
	public Object getObject() {
		return contenu;
	}

}

