/** Cette classe correspond aux objets de type sommet pour lesquels chaque sommet possede
 * un label (un nom). 
 * Pour utiliser la methode {@link GrapheOriente#toDotFile}, il faut que tous les sommets
 * du graphe soient labelises.
 */
public class SommetLabelise extends Sommet {
	private String label;	 // un label pour identifier le sommet

	/** Le constructeur de sommets labelises. */
	public SommetLabelise(String s,Object o)
	{
		super(o);
		label = s;
	}

	/** Renvoie le label d'un sommet labelise. */
	public String getLabel() {
		return label;
	}
}

